Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.io
[Java] Class EncodingAwareBufferedWriter

    java.lang.Object
      java.io.Writer
          java.io.BufferedWriter
              groovy.io.EncodingAwareBufferedWriter

    public class EncodingAwareBufferedWriter
    extends java.io.BufferedWriter

A buffered writer only for OutputStreamWriter that is aware of the encoding of the OutputStreamWriter.

Authors:
  Paul King

Constructor Summary
`EncodingAwareBufferedWriter(java.io.OutputStreamWriter out)`

Method Summary
`java.lang.String` | `getEncoding()` The encoding as returned by the underlying OutputStreamWriter.
`java.lang.String` | `getNormalizedEncoding()` The encoding as returned by the underlying OutputStreamWriter.

Methods inherited from class java.io.BufferedWriter
java.io.BufferedWriter#write(int), java.io.BufferedWriter#write([C, int, int), java.io.BufferedWriter#write(java.lang.String, int, int), java.io.BufferedWriter#newLine(), java.io.BufferedWriter#flush(), java.io.BufferedWriter#close(), java.io.BufferedWriter#append(java.lang.CharSequence), java.io.BufferedWriter#append(java.lang.CharSequence, int, int), java.io.BufferedWriter#append(char), java.io.BufferedWriter#append(char), java.io.BufferedWriter#append(java.lang.CharSequence, int, int), java.io.BufferedWriter#append(java.lang.CharSequence), java.io.BufferedWriter#write([C), java.io.BufferedWriter#write(java.lang.String), java.io.BufferedWriter#wait(long), java.io.BufferedWriter#wait(long, int), java.io.BufferedWriter#wait(), java.io.BufferedWriter#equals(java.lang.Object), java.io.BufferedWriter#toString(), java.io.BufferedWriter#hashCode(), java.io.BufferedWriter#getClass(), java.io.BufferedWriter#notify(), java.io.BufferedWriter#notifyAll()

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Constructor Detail

### EncodingAwareBufferedWriter

    public EncodingAwareBufferedWriter(java.io.OutputStreamWriter out)

Method Detail

### getEncoding

    public java.lang.String getEncoding()

  The encoding as returned by the underlying OutputStreamWriter. Can be the historical name.
  Returns:
    the encoding
  See Also:
    java.io.OutputStreamWriter#getEncoding()

### getNormalizedEncoding

    public java.lang.String getNormalizedEncoding()

  The encoding as returned by the underlying OutputStreamWriter. Will be the preferred name.
  Returns:
    the encoding
  See Also:
    java.io.OutputStreamWriter#getEncoding()

Groovy Documentation